/*
 * COMP.H
 *
 * (c)Copyright 2002, Matthew Dillon, see COPYRIGHT file.
 * $Backplane: dtv/comp.h,v 1.7 2002/02/11 03:01:23 dillon Exp $
 */

typedef struct TVHead {
    int		h_Version;
    int		h_Size;
    int		h_Flags;
    int		h_XSize;
    int		h_YSize;
    int		h_Mode;
    int		h_Shift;
    int		h_Channel;
    int		h_CAlgorithm;	/* compression algorithm */
    char	h_CHSet[32];	/* channel set (string) */
} TVHead;

#define TVH_VERSION	1

#define THF_FILE	0x0001

typedef struct TVBlock {
    int		b_Type;		/* block type */
    int		b_Info;		/* optional information */
    int		b_Size;		/* block size */
} TVBlock;

#define BT_AUDIO	1	/* audio frame */
#define BT_CCHANGE	2	/* channel change */
#define BT_FRAME	16	/* video frame */

