/*
 * DEFS.H
 *
 * (c)Copyright 2002, Matthew Dillon, see COPYRIGHT file.
 * $Backplane: dtv/defs.h,v 1.5 2002/02/11 03:01:23 dillon Exp $
 */

#include <sys/types.h>
#include <sys/ioctl.h>
#include <sys/mman.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <machine/ioctl_bt848.h>
#include <machine/ioctl_meteor.h>
#include <machine/soundcard.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <unistd.h>
#include <signal.h>
#include <fcntl.h>
#include <errno.h>
#include <assert.h>
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/extensions/XShm.h>

#define Prototype	extern

#define arysize(ary)	(sizeof(ary) / sizeof((ary)[0]))
#define _STRING(label)	#label
#define VERSIONSTR	_STRING(VERSION)

#include "tvcap.h"
#include "xinfo.h"
#include "audio.h"
#include "comp.h"
#include "protos.h"

