/*
 * MISC.C
 *
 * (c)Copyright 2002, Matthew Dillon, see COPYRIGHT file.
 * $Backplane: dtv/misc.c,v 1.2 2002/02/11 03:01:23 dillon Exp $
 */

#include "defs.h"

Prototype void fatal(const char *ctl, ...);

void 
fatal(const char *ctl, ...)
{
    va_list va;

    va_start(va, ctl);
    vfprintf(stderr, ctl, va);
    va_end(va);
    fprintf(stderr, "\n");
    fflush(stderr);
    exit(1);
}
