/*
 * XINFO.H
 *
 * (c)Copyright 2002, Matthew Dillon, see COPYRIGHT file.
 * $Backplane: dtv/xinfo.h,v 1.7 2002/02/11 03:01:23 dillon Exp $
 */

typedef struct XInfo {
    Display	*x_Display;
    Window	x_MWindow;	/* master window container */
    Window	x_VWindow;	/* video window container */
    Window	x_CWindow;	/* window containing controls */
    GC		x_GC;
    XImage	*x_Image;
    XShmSegmentInfo	shm_info;
    int		using_shm;
    int		Width;
    int		Height;
    int		Shift;
    int		BytesPerPix;
    int		Flags;
} XInfo;

#define XF_SKIPLINES	0x0001
#define XF_DIRECT	0x0002	/* XImage is compatible, direct decompress */
#define XF_NODIRECT	0x0004	/* can't use direct decompress */
#define XF_DGADIRECT	0x0008	/* XImage *IS* our hardware frame buffer */
